Skip to content

List groups

GET
/auth/groups
curl --request GET \
--url https://sylve.lan:8181/api/auth/groups \
--header 'Authorization: <Authorization>'

List all managed groups and their public user records

Success

Media typeapplication/json
object
data
Array<object>
object
createdAt
string
id
integer
name
string
notes
string
updatedAt
string
users
Array<object>
object
admin
boolean
createdAt
string
disablePassword
boolean
doasEnabled
boolean
email
string
fullName
string
groups
Array<object>
object
id
integer
name
string
notes
string
homeDirPerms
integer
homeDirectory
string
id
integer
lastLoginTime
string
locked
boolean
notes
string
passkeyEligible
boolean
primaryGroupId
integer
shell
string
source
string
sshPublicKey
string
uid
integer
updatedAt
string
username
string
error
string
message
string
status
string
Examplegenerated
{
"data": [
{
"createdAt": "example",
"id": 1,
"name": "example",
"notes": "example",
"updatedAt": "example",
"users": [
{
"admin": true,
"createdAt": "example",
"disablePassword": true,
"doasEnabled": true,
"email": "example",
"fullName": "example",
"groups": [
{
"id": 1,
"name": "example",
"notes": "example"
}
],
"homeDirPerms": 1,
"homeDirectory": "example",
"id": 1,
"lastLoginTime": "example",
"locked": true,
"notes": "example",
"passkeyEligible": true,
"primaryGroupId": 1,
"shell": "example",
"source": "example",
"sshPublicKey": "example",
"uid": 1,
"updatedAt": "example",
"username": "example"
}
]
}
],
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}